#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	Misty1
Summary:	Crypt::Misty1 - Crypt::CBC-compliant block cipher
Summary(pl.UTF-8):	Crypt::Misty1 - szyfr blokowy kompatybilny z Crypt::CBC
Name:		perl-Crypt-Misty1
Version:	1.1.3
Release:	6
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ca9e4ad4db7b249751731a35cae5f9bc
URL:		http://search.cpan.org/dist/Crypt-Misty1/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Misty1 is a 64-bit symmetric block cipher with a 128-bit key. It was
developed by Mitsuru Matsui, and is described in the paper "New Block
Encryption Algorithm MISTY" and in RFC 2994. In January of 2000, the
3GPP consortium selected a variant of Misty1, dubbed as KASUMI (the
Japanese word for "misty"), as the mandatory cipher in W-CDMA. This
module supports the Crypt::CBC interface.

%description -l pl.UTF-8
Misty1 to 64-bitowy symetryczny szyfr blokowy ze 128-bitowym kluczem.
Został opracowany przez Mitsuru Matsui i opisany w dokumencie "New
Block Encryption Algorithm MISTY" oraz w RFC 2994. W styczniu 2000
konsorcjum 3GPP wybrało wariant Misty1 pod nazwą KASUMI (japoński
odpowiednik słowa "misty") jako obowiązkowy szyfr w W-CDMA. Ten
moduł obsługuje interfejs Crypt::CBC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cd examples
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
for f in * ; do
	sed -e "s@#!/usr/local/bin/perl@#!/usr/bin/perl@" $f \
		> $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$f
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/Misty1.pm
%dir %{perl_vendorarch}/auto/Crypt/Misty1
%{perl_vendorarch}/auto/Crypt/Misty1/Misty1.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/Misty1/Misty1.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-Misty1.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 224d89a
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Wed Jun 30 2010 amateja <amateja@pld-linux.org> dacb930
- release 5

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 7862dcd
- release 4

* Sat Mar 15 2008 Jakub Bogusz <qboosh@pld-linux.org> 49db97c
- generic URL

* Sat Feb 23 2008 Elan Ruusamäe <glen@pld-linux.org> dc6904d
- release 3

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 87733e5
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 3ea7af9
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> a963bbf
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6adbcd5
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 7025043
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> 2e32196
- fixed perl-devel BR

* Wed May 05 2004 ankry <ankry@pld-linux.org> 0a974b7
- cosmetics

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> ab0b69f
- bcond fixes/porting

* Mon Sep 15 2003 Adam Gołębiowski <adamg@pld-linux.org> 1ed78a6
- updated to 1.1.3

* Tue Jun 17 2003 Jakub Bogusz <qboosh@pld-linux.org> 1e20d7b
- new

